define({"0":{y:0,u:"../Content/Part_GettingStarted.htm",l:-1,t:"NiFi Ingest",i:0.000725888683779971,a:"NiFi Ingest Version: 25.1     Getting Started Guide     Document Release Date: January 2025 Software Release Date: January 2025"},"1":{y:0,u:"../Content/Section_Intro.htm",l:-1,t:"Introduction",i:0.000725888683779971,a:"Introduction This section introduces NiFi Ingest."},"2":{y:0,u:"../Content/Introduction.htm",l:-1,t:"NiFi Ingest",i:0.000725888683779971,a:"NiFi Ingest is a set of components for data retrieval and enrichment, that run within an open-source framework called Apache NiFi. NiFi Ingest provides a new way to ingest data into Knowledge Discovery. Ingest Data into Knowledge Discovery Knowledge Discovery is a platform that helps you get the ..."},"3":{y:0,u:"../Content/AboutThisDocument.htm",l:-1,t:"About This Document",i:0.000725888683779971,a:"This document describes the components provided in the NiFi Ingest distribution, and explains how to build a custom ingestion pipeline for Knowledge Discovery. This document is intended for readers who are familiar with Knowledge Discovery. For more information about Knowledge Discovery, refer to ..."},"4":{y:0,u:"../Content/Section_Install.htm",l:-1,t:"Install NiFi Ingest",i:0.000725888683779971,a:"Install NiFi Ingest This section describes how to install NiFi Ingest."},"5":{y:0,u:"../Content/SystemRequirements.htm",l:-1,t:"System Requirements",i:0.000725888683779971,a:"NiFi Ingest is supported on Windows and Linux platforms. NiFi Ingest supports the following NiFi versions. C and C++ Runtime Libraries To run NiFi Ingest, you might need to install C and C++ runtime libraries (for example the  Microsoft Visual C++ redistributables), as described in the Getting ..."},"6":{y:0,u:"../Content/Install.htm",l:-1,t:"Install NiFi Ingest",i:0.000983701829206242,a:"To install NiFi Ingest, follow these steps. To install NiFi Ingest Download and install Apache NiFi ( https://nifi.apache.org/ ). For information about installing and configuring NiFi, refer to the Apache NiFi documentation. When you have installed NiFi and can access the user interface ..."},"7":{y:0,u:"../Content/Connectors/InstallConnectors.htm",l:-1,t:"Install Optional Components",i:0.00181985101490005,a:"Many Knowledge Discovery features are available through NiFi Ingest. The following components are not included in the NiFi Ingest distribution but can be installed separately. Connectors. Connectors retrieve information from data repositories.  With the NiFi Ingest framework you can deploy ..."},"8":{y:0,u:"../Content/ConfigureNiFi.htm",l:-1,t:"Configure Apache NiFi",i:0.00134289569028978,a:"You can configure Apache NiFi to suit your needs, by following the Apache NiFi documentation. However, OpenText recommends making the following configuration changes. Java Virtual Machine Memory OpenText recommends that you increase the maximum amount of memory that can be used by the Java Virtual ..."},"9":{y:0,u:"../Content/CreateLicenseService.htm",l:-1,t:"Create a License Service",i:0.00226069376052239,a:"Some NiFi Ingest processors, including all NiFi Connectors, must be able to contact your Knowledge Discovery License Server in order to obtain a license. This topic explains how to configure a license service so that your NiFi Ingest processors can communicate with your License Server. To create the ..."},"10":{y:0,u:"../Content/UploadTemplates.htm",l:-1,t:"Use Templates",i:0.00134289569028978,a:"The NiFi Ingest distribution includes some example templates that you can use to build your data flow. These are in the templates folder. You can use these templates by uploading them through the Apache NiFi interface. To use templates in the NiFi web interface To upload a template, click Upload ..."},"11":{y:0,u:"../Content/UniversalRedaction.htm",l:-1,t:"Universal Redaction",i:0.000725888683779971,a:"The NiFi Ingest package includes an example template for \"universal redaction\" (Universal_Redaction.xml). This template contains a process group that accepts Knowledge Discovery document FlowFiles, and redacts personal information (PII) in both image and document file formats. The output from the ..."},"12":{y:0,u:"../Content/UpgradeNiFi.htm",l:-1,t:"Upgrade NiFi",i:0.000725888683779971,a:"This section describes how to upgrade to a new version of the Apache NiFi application. To upgrade NiFi With your existing NiFi deployment: Stop all connectors and data ingestion. Wait until the FlowFiles already in the dataflow have been processed, so that all queues are empty. Stop all of the ..."},"13":{y:0,u:"../Content/UpgradeComponents.htm",l:-1,t:"Upgrade NiFi Ingest Components",i:0.000725888683779971,a:"When you build a dataflow, the processors and controller services that you use have their own version numbers, and are not automatically upgraded. This topic explains how to upgrade your processors and controller services when new versions of the Knowledge Discovery components are released. Upgrade ..."},"14":{y:0,u:"../Content/Walkthrough/BuildBasicPipeline.htm",l:-1,t:"Build a Basic Ingestion Pipeline",i:0.00283913856937161,a:"Build a Basic Ingestion Pipeline This section describes, step-by-step, how to build a simple ingestion pipeline that includes extraction, filtering, and indexing. This matches the steps performed by CFS with the out-of-the-box configuration."},"15":{y:0,u:"../Content/Walkthrough/Introduction.htm",l:-1,t:"Introduction",i:0.00134289569028978,a:"The following image shows the completed ingestion pipeline that is described in the following sections. The pipeline includes the following steps: File System Connector. The File System Connector retrieves data from a local or network file system. The connector produces a NiFi FlowFile to represent ..."},"16":{y:0,u:"../Content/Walkthrough/OpenNiFi.htm",l:-1,t:"Open the NiFi User Interface",i:0.000725888683779971,a:"To get started with NiFi, first open the user interface. To open the NiFi user interface Open the NiFi user interface in your web browser by browsing to the user interface URL, for example: https://host:port/nifi/ The NiFi user interface opens and a blank canvas is displayed."},"17":{y:0,u:"../Content/Walkthrough/AddFileSystemConnector.htm",l:-1,t:"Add a File System Connector",i:0.000725888683779971,a:"The first component you should add to your ingestion pipeline is a connector. Connectors provide a way to get data into NiFi. There are connectors for dozens of different repositories, but this example demonstrates how to add a File System Connector. To add a File System Connector Add a processor, ..."},"18":{y:0,u:"../Content/Walkthrough/AddKeyViewService.htm",l:-1,t:"Add a KeyView Service",i:0.00143801775184264,a:"To use the File Content Extraction processors you must configure a controller service that stores configuration details for File Content Extraction so that you only need to configure File Content Extraction once, rather than for every processor. To create the KeyView controller service Click a blank ..."},"19":{y:0,u:"../Content/Walkthrough/AddKeyViewExtraction.htm",l:-1,t:"Add Subfile Extraction",i:0.000725888683779971,a:"The first step in this example ingestion pipeline is subfile extraction. This extracts individual files from containers (such as zip files or other types of archives) so that they can be processed by other processors. To add subfile extraction Add a funnel, by dragging the funnel icon   from the ..."},"20":{y:0,u:"../Content/Walkthrough/AddKeyViewFiltering.htm",l:-1,t:"Add Filtering",i:0.000725888683779971,a:"The second step in this example pipeline is Filtering. Filtering extracts text from a file and adds it to the document. To add filtering Add a processor, by dragging the processor icon    from the components toolbar to the canvas. The Add Processor dialog box opens. In the Source list, click ..."},"21":{y:0,u:"../Content/Walkthrough/AddFieldStandardization.htm",l:-1,t:"Add Field Standardization",i:0.000725888683779971,a:"Field standardization modifies documents so that they have a consistent structure and consistent field names. You can use field standardization so that documents which originated from different connectors use the same fields to store the same type of information. For example, documents created by ..."},"22":{y:0,u:"../Content/Walkthrough/RemoveTempFiles.htm",l:-1,t:"Remove Temporary Files",i:0.00460275182181082,a:"The ingestion process generates temporary files. Connectors can download files from a repository. File Content Extraction writes extracted subfiles to a temporary storage area. It can be useful to keep these files, for example so that you can troubleshoot problems while developing the pipeline, but ..."},"23":{y:0,u:"../Content/Walkthrough/IndexIntoIDOL.htm",l:-1,t:"Index Documents ",i:0.000725888683779971,a:" The final step in this example is to index documents into your Knowledge Discovery text index. To index documents Add an idol.nifi \u003e PutIDOL processor to the canvas. Create a connection between the RemoveDocumentPart processor and the PutIDOL processor. Hover the mouse over the RemoveDocumentPart ..."},"24":{y:0,u:"../Content/Walkthrough/WriteFailedDocuments.htm",l:-1,t:"Write Failed Documents to Disk",i:0.000725888683779971,a:"You cannot start a processor until all of its relationships are connected to other processors, or are auto-terminated. So far, this example has not connected or auto-terminated the \"failed\" relationship for each of the processors. This section describes how to route \"failed\" FlowFiles to a processor ..."},"25":{y:0,u:"../Content/Walkthrough/StartProcessing.htm",l:-1,t:"Start Processing",i:0.000725888683779971,a:"After you have configured the ingestion pipeline, you can start processing. To start processing In the NiFi canvas, right-click your GetFileSystem processor and click Start. This connector begins fetching data. The KeyViewExtractFiles processor has not been started, so the documents wait in the ..."},"26":{y:0,u:"../Content/Walkthrough/BuildMediaPipeline.htm",l:-1,t:"Improve the Ingestion Pipeline",i:0.00103439218703488,a:"Improve the Ingestion Pipeline This section describes, step-by-step, how to add media analysis to the ingestion pipeline described in  Build a Basic Ingestion Pipeline . In this example, image files are routed to optical character recognition in order to extract any text within the images."},"27":{y:0,u:"../Content/Walkthrough/MediaIntroduction.htm",l:-1,t:"Introduction",i:0.000725888683779971,a:"Introduction The following image shows the relevant parts of the ingestion pipeline after the modifications described in this section."},"28":{y:0,u:"../Content/Walkthrough/KeyViewTypeDetection.htm",l:-1,t:"Add File Format Detection",i:0.000931557685949909,a:"This section describes how to add file format detection, so that only image files are routed to media analysis. To add file format detection Add an idol.nifi \u003e KeyViewRouteOnFileType processor to the canvas. Click the queue between the KeyViewExtractFiles and KeyViewFilterDocument processor. The ..."},"29":{y:0,u:"../Content/Walkthrough/AddMediaService.htm",l:-1,t:"Add a Media Service",i:0.000931557685949909,a:"To use the media analysis processors you must configure a controller service for media analysis. The media service has a dependency on the File Content Extraction Export SDK, so you must also create a KeyView Export Service. To create the services Click a blank area of the canvas, to de-select all ..."},"30":{y:0,u:"../Content/Walkthrough/MediaAnalysis.htm",l:-1,t:"Add Media Analysis",i:0.000725888683779971,a:"After adding a media service,  you can add a processor to perform media analysis. To add media analysis Add a processor, by dragging the processor icon    from the components toolbar to the canvas. The Add Processor dialog box opens. In the Source list, click idol.nifi.media. Select the ..."},"31":{y:0,u:"../Content/Walkthrough/MediaHandleFailedDocuments.htm",l:-1,t:"Handle Failed Documents",i:0.000725888683779971,a:"You cannot start a processor until all of its relationships are connected to other processors, or are auto-terminated. So far, this example has not connected or auto-terminated the \"failed\" relationship for the new processors that you added. This section shows how to route failed documents to an ..."},"32":{y:0,u:"../Content/Walkthrough/MediaStartProcessing.htm",l:-1,t:"Start Processing",i:0.000725888683779971,a:"You have now finished making changes to the ingestion pipeline. Add some more files (including images of documents) to the folder that your File System Connector is monitoring, or  purge the connector\u0027s datastore  so that it retrieves the same files again. Then, you can start your NiFi processors ..."},"33":{y:0,u:"../Content/Section_NiFiConnectors.htm",l:-1,t:"Use NiFi Ingest Connectors",i:0.000725888683779971,a:"Use NiFi Ingest Connectors This section contains information about using NiFi Ingest Connectors."},"34":{y:0,u:"../Content/NiFiDocumentFormat.htm",l:-1,t:"Introduction to FlowFiles and Documents",i:0.00912197628038385,a:"The basic unit of data in Apache NiFi is the FlowFile. When you look at your data flow in the NiFi web interface, you can see FlowFiles being queued and counted by your processors. So that they integrate with the Apache NiFi framework, NiFi Ingest components also handle FlowFiles. For example, a ..."},"35":{y:0,u:"../Content/Connectors/ConfigureConnectors.htm",l:-1,t:"Configure a Connector",i:0.000725888683779971,a:"You can configure NiFi Ingest connectors manually, or by using the guided setup feature. If your data flow includes multiple processors for a single repository (for example GetSharePointOData, FetchSharePointOData, ViewSharePointOData, and so on) you can configure the Get* processor and then use the ..."},"36":{y:0,u:"../Content/Connectors/SyncIdentifiers.htm",l:-1,t:"Synchronize with a Repository",i:0.00483907134771244,a:"The primary purpose of a connector is to retrieve data from a repository so that it can be processed and indexed into a Content component. The connector retrieves new documents, updated documents, and a list of documents that have been deleted so that the index is kept up-to-date with the data ..."},"37":{y:0,u:"../Content/Connectors/SyncSchedules.htm",l:-1,t:"Configure Synchronize Schedules",i:0.00483907134771244,a:"Your NiFi Ingest dataflow can include any number of connectors. The scheduling feature allows you to configure when your connectors synchronize data (when they connect to your data repositories and retrieve the latest data for processing or indexing). Using this feature, you can configure multiple ..."},"38":{y:0,u:"../Content/Connectors/SyncContentSelection.htm",l:-1,t:"Browse the Repository and Choose what to Synchronize",i:0.000725888683779971,a:"Some NiFi Ingest Connectors provide a graphical interface so that you can browse the repository. Some also allow you to view documents in the repository and choose the content to synchronize. To browse the repository and choose what to synchronize Right-click a connector and click Configure. Click ..."},"39":{y:0,u:"../Content/Connectors/SyncProgress.htm",l:-1,t:"Monitor Synchronize Progress",i:0.000725888683779971,a:"When a NiFi Ingest Connector (Get* processor) is synchronizing with a data repository, you can view a summary of its progress through the advanced configuration interface. This feature is available only for connectors that support progress reporting. To monitor synchronize progress Right-click the ..."},"40":{y:0,u:"../Content/Connectors/ViewConnectorStatistics.htm",l:-1,t:"View Connector Statistics",i:0.00462257786269463,a:"NiFi Ingest Connectors collect statistics about the work that has been completed. The statistics that are available depend on the connector you are using, but all connectors provide information about the number and frequency of ingest-adds, ingest-updates, and ingest-deletes. Some connectors can ..."},"41":{y:0,u:"../Content/Connectors/IDOLDatabase.htm",l:-1,t:"Choose a Database for Indexing",i:0.000725888683779971,a:"When you configured your Content component, you might have created one or more databases for indexed documents. This section explains how to configure your NiFi Ingest connectors so that documents are indexed into a specific database. To choose a database for indexing Right-click a  connector, such ..."},"42":{y:0,u:"../Content/Connectors/ConnectorDatastores.htm",l:-1,t:"Connector Datastores",i:0.00154856469245972,a:" Connectors keep a record of the items they have retrieved so that they do not need to synchronize those items again. Each time it synchronizes with your data repository, a NiFi Ingest Connector only retrieves new items, modified items, and information about the items that have been deleted. NiFi ..."},"43":{y:0,u:"../Content/Connectors/GenerateErrorReports.htm",l:-1,t:"Generate Error Reports",i:0.000725888683779971,a:"Generate Error Reports Connectors can generate reports of errors. The connector sends FlowFiles, each reporting a single error, to an output relationship named report. This relationship is terminated by default.  The generated FlowFiles have the following attributes."},"44":{y:0,u:"../Content/Connectors/DisplayOnlineHelp.htm",l:-1,t:"Display Online Help",i:0.00483907134771244,a:"NiFi Ingest includes online help for each NiFi Ingest connector. To view online help for a NiFi Ingest connector Right-click the processor and click View usage. A dialog box opens, showing a description of the processor, and information about its properties and relationships. To see more detailed ..."},"45":{y:0,u:"../Content/Connectors/DynamicProperties.htm",l:-1,t:"Configure Dynamic Properties",i:0.00483907134771244,a:"Some NiFi Ingest connectors have additional properties which are not displayed by default in the configuration dialog. These are called dynamic properties. For example, if you are configuring a GetRSS processor to retrieve information from an RSS feed, you might need to configure SSL/TLS settings. ..."},"46":{y:0,u:"../Content/Connectors/AdvancedProperties.htm",l:-1,t:"Advanced Connector Properties",i:0.00916874749666273,a:" Connectors support some properties which you can use to customize the behavior of the processor. These properties are supported by all connectors. To set an advanced property Stop the connector, if it is running. To do this, right-click the processor and click Stop. Right-click the processor and ..."},"47":{y:0,u:"../Content/Section_DocumentSecurity.htm",l:-1,t:"Document Security",i:0.000725888683779971,a:"Document Security This section introduces document security (sometimes called mapped security) in NiFi Ingest."},"48":{y:0,u:"../Content/DocumentSecurityIntroduction.htm",l:-1,t:"Introduction",i:0.000725888683779971,a:"Document security protects the information that you index into your Knowledge Discovery text index. Your organization is likely to store information in many repositories. Many of these repositories have security features so that files and data can be viewed only by authorized personnel. Document ..."},"49":{y:0,u:"../Content/DocSecurityExample_Setup.htm",l:-1,t:"Document Security Example",i:0.00163892973727519,a:"This section demonstrates how to set up mapped security to protect information that was extracted from a SharePoint repository, using the GetSharePoint processor. Groups in SharePoint or SharePoint Online can originate from multiple sources, for example from SharePoint itself or from an on-premise ..."},"50":{y:0,u:"../Content/DocSecurityExample_ConfigureOGS.htm",l:-1,t:"Configure OmniGroupServer",i:0.00107416246801867,a:"This section describes how to configure OmniGroupServer for the scenario described in  Document Security Example . For many security types, you might only need to create an empty repository to be populated with group information by the PutOGS processor that you configure in NiFi. To configure ..."},"51":{y:0,u:"../Content/DocSecurityExample_NiFiConnector.htm",l:-1,t:"Configure the NiFi Ingest Connector",i:0.00107416246801867,a:"This section describes how to configure a NiFi Ingest connector, to enable document security. To enable document security with a NiFi Ingest connector Open the NiFi user interface in your web browser. Stop the connector, if it is running. To do this, right-click the processor and click Stop. ..."},"52":{y:0,u:"../Content/DocSecurityExample_PutOGS.htm",l:-1,t:"Send Group Information to OmniGroupServer",i:0.00107416246801867,a:"This section describes how to send group information from a NiFi Ingest connector to OmniGroupServer, using a  PutOGS  processor. To send group information from NiFi Ingest to OmniGroupServer Open the NiFi user interface in your web browser. Add a processor to obtain the group information, by ..."},"53":{y:0,u:"../Content/DocRegistry/Section_DocRegistry.htm",l:-1,t:"Index Documents in the Correct Sequence",i:0.0137627890637609,a:"Index Documents in the Correct Sequence This section describes how to ensure that indexing operations occur in the correct order."},"54":{y:0,u:"../Content/DocRegistry/Introduction.htm",l:-1,t:"Introduction",i:0.000725888683779971,a:"Connectors monitor your organization\u0027s data repositories so that your Knowledge Discovery index is kept up to date. When new items are added to a repository, the connector sends documents for ingestion. When items are deleted the connector ingests a document to represent the deletion so that the ..."},"55":{y:0,u:"../Content/DocRegistry/AddDocRegistryService.htm",l:-1,t:"Add a Document Registry Service",i:0.00142002156610351,a:"This section describes how to create a  DocumentRegistryService  controller service, to manage the dependency database. To create the Document Registry controller service Click a blank area of the canvas, to de-select all of the components on the canvas. In the Operate Palette, click Configuration . ..."},"56":{y:0,u:"../Content/DocRegistry/UpdateProcessors.htm",l:-1,t:"Update Processor Properties",i:0.000725888683779971,a:"After creating a document registry service, update your existing processors to use the service. The following processors interact with the document registry service: All NiFi Ingest Connectors. ContentFromHTML ConvertCSVToDocuments ConvertIDXToDocuments ConvertXMLToDocuments ExecuteDocumentLua ..."},"57":{y:0,u:"../Content/DocRegistry/AddRegisterDocument.htm",l:-1,t:"Register Documents",i:0.000725888683779971,a:"After creating a document registry service, add a  RegisterDocument  processor to your dataflow. This should be the first processor in the dataflow, immediately after the input port. If your dataflow begins with a NiFi Ingest connector rather than an input port, you do not need to add the  ..."},"58":{y:0,u:"../Content/DocRegistry/AddUnregisterDocument.htm",l:-1,t:"Unregister Documents",i:0.000725888683779971,a:"Ensure that every possible path through your dataflow ends with an  UnregisterDocument  processor. For example, you might add an  UnregisterDocument  processor after your PutIDOL indexer, so that documents are unregistered after they are indexed. Every path must end with an  UnregisterDocument  ..."},"59":{y:0,u:"../Content/Section_Troubleshooting.htm",l:-1,t:"Troubleshooting",i:0.000725888683779971,a:"Troubleshooting This section describes some ways in which you can troubleshoot your ingestion pipeline."},"60":{y:0,u:"../Content/ViewLogMessages.htm",l:-1,t:"View Log Messages",i:0.000725888683779971,a:"You can use the advanced configuration page to view the log messages generated by some NiFi Ingest processors, including NiFi Ingest connectors. To view log messages Right-click the processor and click Configure (or View Configuration if the processor is running). Click Advanced. The advanced ..."},"61":{y:0,u:"../Content/ConfigureLogging.htm",l:-1,t:"Configure Logging",i:0.00134289569028978,a:"NiFi Ingest components produce log messages to help you troubleshoot any problems that you encounter. This section explains where to find the log files, and describes how to customize logging on your system. There is a separate log file for each NiFi Ingest component, by default, in the following ..."},"62":{y:0,u:"../Content/DownloadDocuments.htm",l:-1,t:"Download Documents from a Queue",i:0.00123458272191849,a:"You can download individual documents from a queue, or the first 100 documents from a queue, in either IDX or XML format. To prevent the contents of the queue from changing, stop the processors before and after the queue. To download documents from a queue Open the NiFi user interface. Right-click ..."},"63":{y:0,u:"../Content/GenerateDocumentFlowFile.htm",l:-1,t:"Manually Generate Document Flow Files",i:0.00179538483754843,a:"After constructing your ingestion pipeline you might want to test it by sending a small number of documents through the data flow. NiFi Ingest includes a processor, named GenerateDocumentFlowFile, that you can use to manually create FlowFiles that represent documents. To generate document FlowFiles ..."},"64":{y:0,u:"../Content/TrackDocuments.htm",l:-1,t:"Track Documents through the Ingestion Pipeline",i:0.000725888683779971,a:"The Apache NiFi framework stores information about FlowFiles as they move through your ingestion pipeline. You can use the \"Data Provenance\" feature to see what happened to a document. To configure searching by document reference or identifier Stop the NiFi instance. Open the configuration file ..."},"65":{y:0,u:"../Content/ReIngestDocuments.htm",l:-1,t:"Re-Ingest Documents that Match a Query",i:0.000725888683779971,a:"After making changes to your NiFi Ingest dataflow, you might want to re-ingest the documents in your text index. For example, if you add a processing step to perform a new type of media analysis you might want to re-ingest image files. One approach is to clear the index and the state information ..."},"66":{y:0,u:"../Content/OptimizeFlow.htm",l:-1,t:"Optimize your Data Flow",i:0.000725888683779971,a:"To maximize throughput, monitor the size of the queues across your dataflow. If a large queue builds up before a  processor, and the queues for the subsequent processors are empty, the processor is causing a bottleneck. This isn\u0027t unusual because some tasks are expected to take longer. To improve ..."},"67":{y:0,u:"../Content/Part_Advanced.htm",l:-1,t:"Advanced Setup",i:0.000725888683779971,a:"Advanced Setup"},"68":{y:0,u:"../Content/RetrieveData/GetDataIntoNiFi.htm",l:-1,t:"Get Data into NiFi Ingest",i:0.000725888683779971,a:"Get Data into NiFi Ingest OpenText recommends that you use NiFi Ingest Connectors to retrieve data from your data repositories, as described in  Build a Basic Ingestion Pipeline . This section describes other ways to ingest data."},"69":{y:0,u:"../Content/RetrieveData/UseAnInputPort.htm",l:-1,t:"Use an Input Port",i:0.000725888683779971,a:"The Apache NiFi framework provides a component called an input port.  The input port provides a way for NiFi to receive data. You can add an input port to your NiFi dataflow and then configure an connector to send data to it. This means that you can use standalone ACI Connectors with NiFi Ingest. To ..."},"70":{y:0,u:"../Content/RetrieveData/IngestCSV.htm",l:-1,t:"Ingest Data in CSV Format",i:0.000725888683779971,a:"Many systems export data in CSV format. This section describes how to ingest comma-separated data using NiFi Ingest. The steps in this section assume that: You have one or more files each of which contains comma-separated data that should be parsed into one or more Knowledge Discovery documents. The ..."},"71":{y:0,u:"../Content/RetrieveData/IngestJSON.htm",l:-1,t:"Ingest JSON",i:0.000725888683779971,a:"Many systems export data in JSON format. This section describes how to ingest JSON using NiFi Ingest. The steps in this section assume that: You have one or more files each of which contains JSON that should be parsed into one or more Knowledge Discovery documents. The data is not necessarily in ..."},"72":{y:0,u:"../Content/RetrieveData/IngestXML.htm",l:-1,t:"Ingest XML",i:0.000725888683779971,a:"Many systems export data in XML format. This section describes how to ingest XML into Knowledge Discovery using NiFi Ingest. The steps in this section assume that: You have one or more files each of which contains XML that should be parsed into one or more documents. The XML is not necessarily in ..."},"73":{y:0,u:"../Content/RetrieveData/OtherProcessors.htm",l:-1,t:"Use Built-In Apache NiFi Processors",i:0.000725888683779971,a:"The Apache NiFi framework includes built-in processors that can retrieve data (processors that are supplied with the Apache NiFi framework, rather than with Knowledge Discovery). For example, there is a GetFile processor that can retrieve files from a directory. You can use the Apache NiFi ..."},"74":{y:0,u:"../Content/Actions/Section_HandleActions.htm",l:-1,t:"Handle Connector Actions",i:0.00282721969521535,a:"Handle Connector Actions This section describes how to perform connector actions, such as synchronize, collect, and identifiers, in response to requests."},"75":{y:0,u:"../Content/Actions/Introduction.htm",l:-1,t:"Introduction",i:0.000725888683779971,a:"This guide has demonstrated how to construct a NiFi dataflow that retrieves information from a repository and indexes it into a text index (see  Build a Basic Ingestion Pipeline  and  Improve the Ingestion Pipeline ). Keeping the index up-to-date with the information in your data repositories is ..."},"76":{y:0,u:"../Content/Actions/Prerequisites.htm",l:-1,t:"Before you Begin",i:0.000725888683779971,a:"To handle connector actions, you must install some additional components that are not included in the NiFi Ingest package. To install the additional components Download the NiFi Connector Routing zip package for your chosen platform. Extract the file idol-nifi-connector-router-nar-25.1.0.nar. Copy ..."},"77":{y:0,u:"../Content/Actions/CreateDataFlow.htm",l:-1,t:"Create the Data Flow",i:0.000725888683779971,a:"This section describes how to build a dataflow to perform connector actions in response to HTTP requests. A NiFi Ingest dataflow that listens for requests and performs multiple actions can be complex, so OpenText recommends building your dataflow from the following templates that are provided with ..."},"78":{y:0,u:"../Content/Actions/SendActions.htm",l:-1,t:"Send Actions to NiFi",i:0.00134289569028978,a:"To check that your NiFi Ingest dataflow is ready to receive actions, you can send a GetStatus action. For example, if you configured your \"Connector ACI\" group to listen on port 10000, you might send the following HTTP request: http://host:10000/action=getstatus You can send this request from a web ..."},"79":{y:0,u:"../Content/Actions/ExampleAction.htm",l:-1,t:"Example Action",i:0.000725888683779971,a:"The following is an example request that begins a synchronize task: host:10000/action=synchronize\u0026ConnectorGroup=FileSystem The value of the ConnectorGroup parameter must match the name you assigned to the connector group when you created the dataflow. The synchronize action is asynchronous so it ..."},"80":{y:0,u:"../Content/Advanced/ExternalStorage.htm",l:-1,t:"External File Storage",i:0.000725888683779971,a:"In NiFi Ingest, FlowFiles that represent Knowledge Discovery documents store data in several ways - as FlowFile attributes, as XML metadata, as plain-text content, and in associated files. The files associated with a document might be included in the FlowFile as: a path to a file stored on a local ..."},"81":{y:0,u:"../Content/Advanced/Clustering/Section_NiFiCluster.htm",l:-1,t:"Build a NiFi Cluster",i:0.000725888683779971,a:"Build a NiFi Cluster A cluster is a group of Apache NiFi instances that all run the same data flow. This section describes the requirements for building a cluster. "},"82":{y:0,u:"../Content/Advanced/Clustering/Introduction.htm",l:-1,t:"Introduction",i:0.000725888683779971,a:"Building a cluster of Apache NiFi instances provides several advantages over a single instance: Increased throughput. Depending on the amount of data that you want to ingest, you might find that a single NiFi instance, installed on a single server, does not provide sufficient throughput. You can ..."},"83":{y:0,u:"../Content/Advanced/Clustering/SetupStaticNodes.htm",l:-1,t:"Set up a NiFi Cluster",i:0.00215271960707273,a:"To create an Apache NiFi cluster, set up either three or five ZooKeeper nodes. To set up ZooKeeper nodes for a NiFi cluster Install Apache NiFi on the first node. Open the file ./conf/nifi.properties and set or review the following properties: Open the file ./conf/state-management.xml and set the ..."},"84":{y:0,u:"../Content/Advanced/Clustering/SetupAdditionalNodes.htm",l:-1,t:"Set up Additional Nodes",i:0.00149714744191724,a:"Your Apache NiFi cluster should include either three or five ZooKeeper nodes (see  Set up a NiFi Cluster ). This procedure describes how to add additional nodes that do not run ZooKeeper. You can add additional nodes without restarting the existing NiFi instances. To add an additional node to your ..."},"85":{y:0,u:"../Content/Connectors/ConfigureExternalDatabase.htm",l:-1,t:"Create a Database Service",i:0.00818094704232703,a:"If you want to run an Apache NiFi cluster, you must set up a Database Service so that the following information can be shared between nodes in the cluster: State information for your NiFi Ingest connectors. Dependency information managed by a document registry service (for more information, see  ..."},"86":{y:0,u:"../Content/Advanced/Clustering/RemoveNodes.htm",l:-1,t:"Remove Nodes",i:0.000725888683779971,a:"This topic explains how to remove any additional nodes you added to your Apache NiFi cluster in  Set up Additional Nodes . You can find more information in the  Apache NiFi documentation . To remove a node Open the Apache NiFi user interface (from a node other than the one you want to remove). Open ..."},"87":{y:0,u:"../Content/Advanced/Migration/Section_DataMigration.htm",l:-1,t:"Migrate Data Between Repositories",i:0.000931557685949909,a:"Migrate Data Between Repositories You can use NiFi Ingest to migrate data from one repository to another. For example, you can use a OneDrive connector to retrieve files from OneDrive, and then use a File System Connector to write those files to a standard file system."},"88":{y:0,u:"../Content/Advanced/Migration/Introduction.htm",l:-1,t:"Introduction",i:0.000725888683779971,a:"The repositories that your organization uses to store data are likely to have different structures. A file system organizes information in files and folders, and so do repositories like OneDrive, but other systems might not resemble a file system at all. To help migrate data between repositories, ..."},"89":{y:0,u:"../Content/Advanced/Migration/CreateDataFlow.htm",l:-1,t:"Create the Data Flow",i:0.000725888683779971,a:"This section describes how to create a dataflow to migrate information from one repository to another. In the following example, a GetWeb processor downloads web pages and a PutFileSystem processor inserts them  into a folder in the file system. To create a dataflow to migrate data between ..."},"90":{y:0,u:"../Content/Advanced/Migration/SupportedConnectors.htm",l:-1,t:"Supported Connectors",i:0.00134289569028978,a:"The following sections specify whether a connector generates the AUTN_MIGRATION_URI metadata field for documents that it creates. They also list the properties that are required by the relevant Put* processor, to insert items into a repository. For example, to insert files into a file system you ..."},"91":{y:0,u:"../Content/Part_Reference.htm",l:-1,t:"Reference",i:0.000725888683779971,a:"Reference"},"92":{y:0,u:"../Content/Actions/Connector_Actions.htm",l:-1,t:"Connector Actions",i:0.00103439218703488,a:"Connector Actions This section describes the actions that you can send to NiFi Ingest connector groups. For information about how to build a dataflow that handles these actions, see  Handle Connector Actions ."},"93":{y:0,u:"../Content/Actions/Action_Collect.htm",l:-1,t:"Collect",i:0.00918285308265633,a:"The Collect action retrieves documents from a repository. For each document that is collected, a FlowFile is routed to the \"Collect Output\" relationship of the connector group. Type: asynchronous Example http://host:10000/action=Collect\n\t\t\t  \u0026ConnectorGroup=FileSystem\n\t\t          \u0026Documents=... ..."},"94":{y:0,u:"../Content/Actions/Action_Delete.htm",l:-1,t:"Delete",i:0.00897718408048639,a:"The Delete action deletes items from a repository. This action irreversibly deletes items from the data repository. Type: asynchronous Example http://host:10000/action=Delete\n\t\t\t  \u0026ConnectorGroup=FileSystem\n\t\t          \u0026Documents=... Response This is an asynchronous action, so you receive a token in ..."},"95":{y:0,u:"../Content/Actions/Action_GetStatus.htm",l:-1,t:"GetStatus",i:0.000725888683779971,a:"The GetStatus action provides basic status information about the service. Type: synchronous Example http://host:10000/action=GetStatus Response The following XML shows an example response: \u003cautnresponse\u003e\n    \u003caction\u003eGETSTATUS\u003c/action\u003e\n    \u003cresponse\u003eSUCCESS\u003c/response\u003e\n    \u003cresponsedata\u003e\n        ..."},"96":{y:0,u:"../Content/Actions/Action_Hold.htm",l:-1,t:"Hold",i:0.00103439218703488,a:"The Hold action places a hold on one or more documents in the repository. When a document has been placed on hold, it cannot be deleted or modified by a regular user. This action might be used by applications that perform legal hold. Type: asynchronous Example http://host:10000/action=Hold\n\t         ..."},"97":{y:0,u:"../Content/Actions/Action_Identifiers.htm",l:-1,t:"Identifiers",i:0.000931557685949909,a:"The identifiers action retrieves a list of items that are present in the repository. Different types of repository store items in different types of hierarchy. For example, file systems have folders and files, but an e-mail system might have mailboxes and messages.  The connector looks for child ..."},"98":{y:0,u:"../Content/Actions/Action_Insert.htm",l:-1,t:"Insert",i:0.000725888683779971,a:"The Insert action inserts items into a repository. Type: asynchronous Example The following example uses the command-line tool cURL to send an insert action. This example uses a File System Connector Group to insert a file into the file system. The file to insert is file.txt in the current working ..."},"99":{y:0,u:"../Content/Actions/Action_PurgeDatastore.htm",l:-1,t:"PurgeDatastore",i:0.000725888683779971,a:"The PurgeDatastore action deletes information, that the connector has saved, about the items in the repository. The connector saves this information so that when it synchronizes with the repository it does not need to retrieve items that have not changed. Some repositories do not keep a log of items ..."},"100":{y:0,u:"../Content/Actions/Action_QueueInfo.htm",l:-1,t:"QueueInfo",i:0.0291086072858705,a:"The QueueInfo action provides information about the asynchronous actions that are running or finished. You can use the QueueInfo action to determine whether an action has finished, and retrieve the results of the action. Type: synchronous Examples To return the numbers of running and completed ..."},"101":{y:0,u:"../Content/Actions/Action_ReleaseHold.htm",l:-1,t:"ReleaseHold",i:0.000725888683779971,a:"The ReleaseHold action releases a document that was placed on hold by the  Hold  action. Type: asynchronous Example http://host:10000/action=ReleaseHold\n\t                  \u0026ConnectorGroup=Documentum\n\t\t          \u0026Documents=... Response This is an asynchronous action, so you receive a token in ..."},"102":{y:0,u:"../Content/Actions/Action_Synchronize.htm",l:-1,t:"Synchronize",i:0.00897718408048639,a:"The Synchronize action instructs the connector to synchronize with the data repository immediately. (Usually you would schedule synchronize cycles to occur on a regular basis, according to a schedule). The connector searches the repository for new, updated, and deleted documents. FlowFiles ..."},"103":{y:0,u:"../Content/Actions/Action_SynchronizeGroups.htm",l:-1,t:"SynchronizeGroups",i:0.000725888683779971,a:"The SynchronizeGroups action instructs the connector to retrieve security group information from the data repository. Knowledge Discovery requires this information to provide document security, which ensures that documents can be viewed only by authorized users. FlowFiles containing the user and ..."},"104":{y:0,u:"../Content/Actions/Action_Update.htm",l:-1,t:"Update",i:0.000725888683779971,a:"The Update action updates the metadata of one or more items in a repository. Type: asynchronous Example The following example demonstrates how to update the metadata of a file in a file system. http://host:10000/action=Update\u0026Documents=... The value of the Documents parameter could be the following ..."},"105":{y:0,u:"../Content/Actions/Action_View.htm",l:-1,t:"View",i:0.000725888683779971,a:"The View action retrieves a single document and returns it in the response of the request. Type: synchronous Example http://host:10000/action=View\n                       \u0026ConnectorGroup=FileSystem\n                       \u0026Document=...\n Response The following XML shows an example response: ..."},"106":{y:0,u:"../Content/Reference/ControllerServices/_ControllerServices.htm",l:-1,t:"NiFi Ingest Controller Services",i:0.000725888683779971,a:"NiFi Ingest Controller Services This section describes the controller services that are supplied with NiFi Ingest."},"107":{y:0,u:"../Content/Reference/ControllerServices/AciContextServiceImpl.htm",l:-1,t:"AciContextServiceImpl",i:0.00148915716084915,a:"AciContextServiceImpl A service that is used by the   HandleAciRequest  and  HandleAciResponse  processors to store information about actions that have been sent to NiFi Ingest. For information about how to handle actions in NiFi Ingest, see  Handle Connector Actions . Properties"},"108":{y:0,u:"../Content/Reference/ControllerServices/ContentServiceImpl.htm",l:-1,t:"ContentServiceImpl",i:0.00562871598031945,a:"Provides a way for NiFi Ingest processors to communicate with a Content component, for example an Agentstore.  The Agentstore component is a specially configured version of the Content component that you can use for categorization and entity matching.  This controller service allows you to create ..."},"109":{y:0,u:"../Content/Reference/ControllerServices/DatabaseServiceImpl.htm",l:-1,t:"DatabaseServiceImpl",i:0.0124191626079019,a:"This controller service provides an interface for one or more NiFi Ingest processors to communicate with an external database. NiFi Ingest Connectors keep a record of the items they have retrieved so that they do not need to synchronize those items again. Each time it synchronizes with your data ..."},"110":{y:0,u:"../Content/Reference/ControllerServices/DocumentEmbeddingsServiceImpl.htm",l:-1,t:"DocumentEmbeddingsServiceImpl",i:0.00657410873868979,a:"DocumentEmbeddingsServiceImpl A service that is used by the   DocumentEmbeddings  processor to generate embeddings for the text in your documents.  This service uses an LLM from  Hugging Face , which NiFi downloads and caches when the service first runs.  Properties"},"111":{y:0,u:"../Content/Reference/ControllerServices/DocumentRegistryServiceImpl.htm",l:-1,t:"DocumentRegistryServiceImpl",i:0.0183231022712689,a:"Manages and updates a document registry database, which provides a way to ensure that indexing operations occur in the correct order. When a connector performs the synchronize fetch action it might find items that have been modified. To update the content in the index, it sends two documents to the ..."},"112":{y:0,u:"../Content/Reference/ControllerServices/IdolFlowFileServiceImpl.htm",l:-1,t:"IdolFlowFileServiceImpl",i:0.00230766288698958,a:"IdolFlowFileServiceImpl Provides a connection to external storage, so that NiFi Ingest processors can access document files in Amazon S3, Azure Blob Storage, or Google Cloud Storage. Properties See Also The  ConvertDocumentFile  processor"},"113":{y:0,u:"../Content/Reference/ControllerServices/IdolLicenseServiceImpl.htm",l:-1,t:"IdolLicenseServiceImpl",i:0.000725888683779971,a:"IdolLicenseServiceImpl Provides a way for NiFi Ingest processors to communicate with a Knowledge Discovery License Server. Processors that require a license have a property named \"IDOL License Service\", which you must set to an instance of this controller service. Properties"},"114":{y:0,u:"../Content/Reference/ControllerServices/IdolLoggingServiceImpl.htm",l:-1,t:"IdolLoggingServiceImpl",i:0.000725888683779971,a:"Provides a way to configure logging for all of your NiFi Ingest components. Using this controller service provides an alternative to setting properties in the nifi.properties configuration file, as described in  Configure Logging . Any properties that you set in nifi.properties are used as default ..."},"115":{y:0,u:"../Content/Reference/ControllerServices/IdolOEMLicenseServiceImpl.htm",l:-1,t:"IdolOEMLicenseServiceImpl",i:0.00121175981104075,a:"Provides a way to license NiFi Ingest components using an OEM license. In an OEM-licensed environment, actions are encrypted using ACI encryption. This service provides decryption for incoming actions (received by the  HandleAciRequest  processor), and enables ACI encryption for outgoing actions. ..."},"116":{y:0,u:"../Content/Reference/ControllerServices/IdolSSLConfigServiceImpl.htm",l:-1,t:"IdolSSLConfigServiceImpl",i:0.00824585046595376,a:"IdolSSLConfigServiceImpl Provides a way to configure SSL/TLS settings for NiFi Ingest processors. Some NiFi Ingest processors have a property named \"SSL Config Service\", which you can set to an instance of this service. Properties"},"117":{y:0,u:"../Content/Reference/ControllerServices/KeyViewExportServiceImpl.htm",l:-1,t:"KeyViewExportServiceImpl",i:0.00494937364707324,a:"KeyViewExportServiceImpl Manages the location of the File Content Extraction Export SDK for the NiFi instance.   All processors that use the Export SDK have a “KeyView Export Service” property that must reference an instance of this service.  Properties"},"118":{y:0,u:"../Content/Reference/ControllerServices/KeyViewFilterServiceImpl.htm",l:-1,t:"KeyViewFilterServiceImpl",i:0.00264803908455187,a:"Manages the location of the File Content Extraction Filter SDK for the NiFi instance. All processors that use the Filter SDK have a “KeyView Filter Service” property that must reference an instance of this service.   The service also defines a location where temporary files and extracted files are ..."},"119":{y:0,u:"../Content/Reference/ControllerServices/MediaServiceImpl.htm",l:-1,t:"MediaServiceImpl",i:0.0064170163378255,a:"MediaServiceImpl Manages the static resources and FFmpeg libraries that are required to analyze rich media files. All processors that require media analysis resources have a “Media Service” property that must reference an instance of this service.   Properties"},"120":{y:0,u:"../Content/Reference/ControllerServices/OAuthServiceImpl.htm",l:-1,t:"OAuthServiceImpl",i:0.000725888683779971,a:"Many Knowledge Discovery NiFi processors use OAuth authentication to connect to other systems. For example, a connector might use OAuth when connecting to a data repository or third-party API. OAuth authentication normally requires a redirect URL. After a user approves an access request, this ..."},"121":{y:0,u:"../Content/Reference/ControllerServices/ProxyConfigurationServiceImpl.htm",l:-1,t:"ProxyConfigurationServiceImpl",i:0.0126174613628837,a:"ProxyConfigurationServiceImpl Provides an interface for one or more NiFi Ingest processors to use a proxy server. Properties See Also SystemProxyConfigurationServiceImpl"},"122":{y:0,u:"../Content/Reference/ControllerServices/SystemProxyConfigurationServiceImpl.htm",l:-1,t:"SystemProxyConfigurationServiceImpl",i:0.0114568206563048,a:"Provides an interface for one or more NiFi Ingest processors to use a proxy server. You can use this service as an alternative to a  ProxyConfigurationServiceImpl . This service has no properties. It obtains details about your HTTP proxy from the system. On Windows, it reads the proxy settings ..."},"123":{y:0,u:"../Content/Reference/Processors/_Processors.htm",l:-1,t:"NiFi Ingest Processors",i:0.000725888683779971,a:"NiFi Ingest Processors This section describes the processors that are supplied with NiFi Ingest."},"124":{y:0,u:"../Content/Reference/Processors/AddTimestamp.htm",l:-1,t:"AddTimestamp",i:0.000725888683779971,a:"AddTimestamp Adds a timestamp (containing the current time) to a FlowFile attribute or document metadata field. Properties Relationships"},"125":{y:0,u:"../Content/Reference/Processors/AutoCategorizeGenerator.htm",l:-1,t:"AutoCategorizeGenerator",i:0.00655771881054209,a:"A processor that identifies potential categories in the documents that it sees.  The processor allows indexing of documents into a Content component in batches (you can configure the size of the batches). After Content has fully indexed a batch, this processor attempts to cluster the documents in ..."},"126":{y:0,u:"../Content/Reference/Processors/AutoCategorizeLabeller.htm",l:-1,t:"AutoCategorizeLabeller",i:0.00655771881054209,a:"A processor that determines which categories, if any, to apply to a particular input document. This processor adds a metadata field to a document for every category that the processor determines the document belongs to.  The processor holds documents in a queue, waiting to successfully identify the ..."},"127":{y:0,u:"../Content/Reference/Processors/AWSTranslate.htm",l:-1,t:"AWSTranslate",i:0.000725888683779971,a:"A processor that uses Amazon Web Services (AWS) to translate text from one language to another. For more information about this service, see  https://aws.amazon.com/translate/ . The document content and fields that you choose to translate are overwritten (the translated text replaces the source ..."},"128":{y:0,u:"../Content/Reference/Processors/BatchCallback.htm",l:-1,t:"BatchCallback",i:0.000725888683779971,a:"Sends callback HTTP requests to your application, to let it know that processing steps have been completed for documents in your NiFi dataflow. For example, if you create a dataflow to  handle connector actions  such as  collect , you can route the FlowFiles produced by the connector through a ..."},"129":{y:0,u:"../Content/Reference/Processors/CloneDocument.htm",l:-1,t:"CloneDocument",i:0.000725888683779971,a:"CloneDocument Duplicates incoming Knowledge Discovery document FlowFiles. Properties Relationships"},"130":{y:0,u:"../Content/Reference/Processors/ContentFromHTML.htm",l:-1,t:"ContentFromHTML",i:0.0011115180628486,a:"Connectors, including Web Connector, can send documents for ingestion that have associated HTML files. You could send the HTML files to the  KeyViewFilterDocument  processor, which discards the HTML markup and extracts the text contained in the file. However, HTML pages often contain irrelevant ..."},});